
Name:		kvirc
Version:	4.9.2
Release:	%mkrel 0.1

Summary:	Qt IRC client
Summary(de):	Qt-basierten IRC-Client
Group:		Graphical desktop/KDE5
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source0:	master.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
#-------------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: lib64audiofile-devel
BuildRequires: lib64enchant-devel
BuildRequires: lib64esound-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64python-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: libtheora-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#-------------------------------------------

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%description -l de
Qt-basierten IRC-Client mit Unterstützung für Themen, die Transparenz, Verschlüsselung,
IRC viele erweiterte Funktionen und Scripting.

%description -l nl
Qt-gebaseerde IRC-client met ondersteuning voor thema's, transparantie, encryptie,
IRC vele uitgebreide functies, en scripting.


%prep 
%setup -qn KVIrc-master

%build
%{cmake}  \
-DCMAKE_SKIP_RPATH=ON \
-DWANT_ENV_FLAGS=ON \
-DWANT_DCC_VIDEO=ON \
-DWANT_OGG_THEORA=ON

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Chat" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/libkvilib.so.4*
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/4.9
%dir %{_datadir}/%{name}/4.9/locale
%{_datadir}/%{name}/4.9/audio/
%{_datadir}/%{name}/4.9/config/
%{_datadir}/%{name}/4.9/defscript/
%{_datadir}/%{name}/4.9/doc/
%{_datadir}/%{name}/4.9/help/
%{_datadir}/%{name}/4.9/modules/
%{_datadir}/%{name}/4.9/msgcolors/
%{_datadir}/%{name}/4.9/pics/
%{_datadir}/%{name}/4.9/themes/
%{_datadir}/%{name}/4.9/license/
%{_datadir}/icons/hicolor/*/apps/kvirc.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kva.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kvt.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvc.*
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvs.*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}

# Translation files
%lang(cs) %{_datadir}/%{name}/4.9/locale/*_cs.mo
%lang(de) %{_datadir}/%{name}/4.9/locale/*_de.mo
%lang(eo) %{_datadir}/%{name}/4.9/locale/*_eo.mo
%lang(es) %{_datadir}/%{name}/4.9/locale/*_es.mo
%lang(fi) %{_datadir}/%{name}/4.9/locale/*_fi.mo
%lang(fr) %{_datadir}/%{name}/4.9/locale/*_fr.mo
%lang(hr) %{_datadir}/%{name}/4.9/locale/*_hr.mo
%lang(hu) %{_datadir}/%{name}/4.9/locale/*_hu.mo
%lang(it) %{_datadir}/%{name}/4.9/locale/*_it.mo
%lang(ja) %{_datadir}/%{name}/4.9/locale/*_ja.mo
%lang(nl) %{_datadir}/%{name}/4.9/locale/*_nl.mo
%lang(pl) %{_datadir}/%{name}/4.9/locale/*_pl.mo
%lang(pt_BR) %{_datadir}/%{name}/4.9/locale/*_pt_BR.mo
%lang(pt) %{_datadir}/%{name}/4.9/locale/*_pt.mo
%lang(ru) %{_datadir}/%{name}/4.9/locale/*_ru.mo
%lang(sr) %{_datadir}/%{name}/4.9/locale/*_sr.mo
%lang(tr) %{_datadir}/%{name}/4.9/locale/*_tr.mo
%lang(uk) %{_datadir}/%{name}/4.9/locale/*_uk.mo


%exclude %{_libdir}/libkvilib.so
%exclude %{_bindir}/kvirc-config
%exclude %{_datadir}/%{name}/4.9/doc/FAQ
%exclude %{_datadir}/%{name}/4.9/doc/README

%changelog
* Mon Apr 11 2016 bb <bb. 5.0.0-0.1pclos2016
- update from master-git 04-11


